This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 859512 - [as7] :whoami operation not available for managed servers
[as7] :whoami operation not available for managed servers
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.6
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin 859520
  Show dependency treegraph
 
Reported: 2012-09-21 13:43 EDT by Stefan Negrea
Modified: 2013-09-03 10:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 859520 (view as bug list)
Environment:
Last Closed: 2013-09-03 10:45:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-09-21 13:43:58 EDT
Description of problem:
:whoami operation not available for managed servers because the security context is not established by AS7. This operation is used by the plugin to detect the server state (need restart or reload).

The error is harmless but the plugin should attempt a different operation if this operation fails.


How reproducible:
Everytime for AS7 managed servers in a domain configuration.


Steps to Reproduce:
1. Start AS7 in domain mode.
2. Inventory a host controllers with managed servers active.
3. Execute an operation on one of the managed servers resources.

  
Actual results:
Operations succeeds but the the warning (shown below) is visible in the logs.


Expected results:
Operations succeeds, a warning is visible in the logs but plugin sends a second followup operation is sent to the AS7 server to check for the current status.


Additional info:
The operation to be executed in case :whoami fails is :read-resource. This operation is slower because the amount of data to be transferred from the server but it's safer since every single resource has it. This second operation is to be executed only if the first one fails.


Here is the full text of the error printed in the logs:

WARN  21-09 10:40:31,654 (ASConnection.java:executeRaw:229)  -Received 500 (Internal Server Error) response to Operation{operation='whoami', address=Address{path: profile=full,subsystem=infinispan,cache-container=hibernate}, additionalProperties={}} - response body was [{"outcome" : "failed", "result" : {"identity" : {"username" : "admin", "realm" : "ManagementRealm"}}, "failure-description" : "JBAS010839: Operation failed or was rolled back on all servers.", "rolled-back" : true, "server-groups" : {"main-server-group" : {"host" : {"master" : {"server-one" : {"response" : {"outcome" : "failed", "failure-description" : "JBAS015249: No security context has been established.", "rolled-back" : true}}, "server-two" : {"response" : {"outcome" : "failed", "failure-description" : "JBAS015249: No security context has been established.", "rolled-back" : true}}}}}}}].
Comment 2 Heiko W. Rupp 2013-09-03 10:45:58 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.

Note You need to log in before you can comment on or make changes to this bug.